Chats
Get Chats
Get a paginated list of chat conversations for the authenticated user. Returns chats ordered by creation date with basic metadata.
Get a paginated list of chat conversations for the authenticated user. Returns chats ordered by creation date with basic metadata.
X-API-Key<token>
Use X-API-Key: .
In: header
Query Parameters
page*integer
Default
1Range
0 < valuepageSize*integer
Default
20Range
1 <= value <= 100Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/chats?page=1&pageSize=20"[
{
"branchCount": 0,
"createdAt": 0,
"id": "string",
"messageCount": 0,
"metadata": {
"property1": null,
"property2": null
},
"title": "string",
"updatedAt": 0,
"userId": "string"
}
]{
"cause": {
"code": "api/invalid-json",
"detail": "string"
},
"message": "The request body is not valid JSON"
}{
"cause": {
"code": "auth/jwt-invalid",
"detail": "malformed"
},
"message": "Token verification failed"
}{
"cause": {
"code": "api/no-active-team",
"detail": "You must have an active team. Please select a team to continue."
},
"message": "No active team"
}{
"cause": {
"code": "api/unsupported-media-type",
"detail": "GET requests cannot have a content type header"
},
"message": "Unsupported Media Type"
}